#### NAME

vadddomain - add a virtual user to a domain

#### SYNOPSYS

vadddomain [virtual domain ] [postmaster password] -a -q quota

#### DESCRIPTION

Add a new virtual domain. All qmail files and system are automatically updated.

#### OPTIONS

[virtual domain]
  Name of the new virtual domain

[postmaster password]
  The password for the RFC required postmaster account. If the password is not supplied on the command line then vadddomain will prompt for the password twice.

-a
  Use apop instead of pop.

-q quota
  Set the hard quota limit for the postmaster account.

#### RETURN VALUE

0 if all steps were successful, non-zero otherwise. If any of the steps fail, a diagnostic message is printed.

#### SEE ALSO

`vdeldomain`
`vpasswd`
`vsetuserquota`
`vpopmail`

#### NOTES

The virtual domain becomes active after running this program. No additional files need to be modified. A new directory is added under ~vpopmail/domains to house all the email accounts for the new virtual domain.

Must be run as root.

#### AUTHOR

AUTHORS